/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/ALIBOPTI.CPP   1.4   20 Jun 1996 09:29:18   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/ALIBOPTI.CPP  $
** 
**    Rev 1.4   20 Jun 1996 09:29:18   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.2   10 Jun 1996 10:23:56   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.0   29 May 1996 09:35:30   ZJRD
** Initial revision.
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// aloption.cpp
//
// Roger Zhang
//                                                                           
// 5/2/96
//
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "resource.h"

#include "toolopt.h"
#include "alib.h"
#include "alibopti.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// ALIBOption dialog


ALIBOption::ALIBOption(ALIBTool * pTool)
    : CPropertyPage(ALIBOption::IDD)
{                                
    ASSERT(pTool);
    
    m_pTool = pTool;               
    
    LoadData();
    
    //{{AFX_DATA_INIT(ALIBOption)
    
    //}}AFX_DATA_INIT
}

void ALIBOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(ALIBOption)
    DDX_CBIndex(pDX, IDC_ALIBOPT_MODEL, m_nMemoryModel);
    DDX_Check(pDX, IDC_ALIBOPT_CHECK1, m_float);
    DDX_Text(pDX, IDC_ALIBOPT_MORE, m_strMore);
    DDX_Text(pDX, IDC_ALIBOPT_PATH_EDIT, m_strPath);
    //}}AFX_DATA_MAP
}

void ALIBOption::SaveData(void)
{
//  UpdateData(TRUE);

    m_pTool->m_float        = m_float;
    m_pTool->m_nMemoryModel = m_nMemoryModel;
    m_pTool->m_strMore      = m_strMore;
    m_pTool->m_strPath      = m_strPath;
}

void ALIBOption::LoadData(void)
{
    m_float        = m_pTool->m_float;
    m_nMemoryModel = m_pTool->m_nMemoryModel; 
    m_strMore      = m_pTool->m_strMore;
    m_strPath      = m_pTool->m_strPath;
 
}

BEGIN_MESSAGE_MAP(ALIBOption, CPropertyPage)
    //{{AFX_MSG_MAP(ALIBOption)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// ALIBOption message handlers
